import { select, arc } from 'd3';

const svg = d3.select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2},${height / 2})`
  );
const circle = g
  .append('circle')
  .attr('r', height / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

const eyeRad = 30;
const eyeBrowWidth = 70;
const eyeBrowHeight = 20;
const eyeBrowYOffset = -70;
const yOffset = -70;
const xOffset = 100;

const eyesG = g
  .append('g')
  .attr('transform', `translate(0,${yOffset})`);

const leftEye = eyesG
  .append('circle')
  .attr('r', eyeRad)
  .attr('cx', -xOffset);

const rightEye = eyesG
  .append('circle')
  .attr('r', eyeRad)
  .attr('cx', xOffset);

const eyeBrowG = eyesG
  .append('g')
  .attr('transform', `translate(0,${eyeBrowYOffset})`);

const browTransition = eyeBrowG
  .transition()
  .duration(500)
  .attr('transform', `translate(0,${eyeBrowYOffset - 40})`)
  .transition()
  .duration(500)
  .attr('transform', `translate(0,${eyeBrowYOffset})`)
  // .on('end', browTransition);

const leftEyeBrow = eyeBrowG
  .append('rect')
  .attr('x', xOffset - eyeBrowWidth / 2)
  .attr('width', eyeBrowWidth)
  .attr('height', eyeBrowHeight);

const rightEyeBrow = eyeBrowG
  .append('rect')
  .attr('x', -xOffset - eyeBrowWidth / 2)
  .attr('width', eyeBrowWidth)
  .attr('height', eyeBrowHeight);

const mouth = g.append('path')
.attr('transform','translate(0,200)')
.attr(
  'd',
  arc()({
    innerRadius: 160,
    outerRadius: 180,
    startAngle: - Math.PI / 2,
    endAngle: (Math.PI ) / 2,
  })
);
